%define	name	ecore
%define version 1.0.0
%define release %mkrel 1

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment event/X abstraction layer
Name: 		%{name}
Version: 	%{version}
Epoch:		3
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
BuildRequires:	evas-devel >= 1.0.0
BuildRequires:	eet-devel >= 1.4.0
BuildRequires:	openssl-devel curl-devel
BuildRequires: libx11-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxcursor-devel
BuildRequires: libxdamage-devel
BuildRequires: libxext-devel
BuildRequires: libxfixes-devel
BuildRequires: libxi-devel
BuildRequires: libxinerama-devel
BuildRequires: libxrandr-devel
BuildRequires: libxrender-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libxtst-devel
BuildRequires:	tslib-devel
BuildRequires:	SDL-devel

%description
Ecore is the event/X abstraction layer that makes doing selections,
Xdnd, general X stuff, event loops, timeouts and idle handlers fast,
optimized, and convenient.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x --enable-ecore-fb \
	--enable-ecore-sdl \
	--enable-openssl \
	--enable-curl

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*




%changelog
* Mon Apr 18 2011 ennael <ennael> 3:1.0.0-1.mga1
+ Revision: 87935
- clean spec file
- imported package ecore


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 3:1.0.0-1mdv2011.0
+ Revision: 633924
- 1.0.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 3:1.0.0-0.beta3.1mdv2011.0
+ Revision: 622783
- 1.0 beta3

* Sun Nov 14 2010 Funda Wang <fwang@mandriva.org> 3:1.0.0-0.beta2.1mdv2011.0
+ Revision: 597517
- 1.0.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 3:1.0.0-0.beta.1mdv2011.0
+ Revision: 585305
- 1.0.0 beta

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 3:0.9.9.49898-1mdv2011.0
+ Revision: 550112
- update file list
- new version 0.9.9.49898

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 3:0.9.9.063-1mdv2010.1
+ Revision: 478113
- drop old condition
- new version 0.9.9.063

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3:0.9.9.062-3mdv2010.0
+ Revision: 455797
- rebuild for new curl SSL backend

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 3:0.9.9.062-2mdv2010.0
+ Revision: 411214
- enable sdl backend

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 3:0.9.9.062-1mdv2010.0
+ Revision: 411120
- 0.9.9.062

* Tue Jul 07 2009 Funda Wang <fwang@mandriva.org> 3:0.9.9.061-2mdv2010.0
+ Revision: 393239
- rebuild

* Wed Jul 01 2009 Frederik Himpe <fhimpe@mandriva.org> 3:0.9.9.061-1mdv2010.0
+ Revision: 391345
- update to new version 0.9.9.061

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 3:0.9.9.060-1mdv2010.0
+ Revision: 370657
- New version 0.9.9.060

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 3:0.9.9.050-6mdv2009.1
+ Revision: 347886
- fix build on 2009.0 release

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 3:0.9.9.050-5mdv2009.1
+ Revision: 347663
- fix provides

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 3:0.9.9.050-4mdv2009.1
+ Revision: 347589
- remove epoch

* Sat Feb 28 2009 Antoine Ginies <aginies@mandriva.com> 3:0.9.9.050-3mdv2009.1
+ Revision: 345908
- adjust the patch
- SVN SNAPSHOT 20090227, release 0.9.9.050, update eet buildrequires

* Sun Nov 09 2008 Funda Wang <fwang@mandriva.org> 3:0.9.9.050-2mdv2009.1
+ Revision: 301344
- rebuild for new xcb

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 3:0.9.9.050-1mdv2009.1
+ Revision: 292070
- raise versioned BR
- New snapshot

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 3:0.9.9.043-2mdv2009.0
+ Revision: 266609
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 3:0.9.9.043-1mdv2009.0
+ Revision: 213978
- drop -L/usr/lib from SDL_LIBS, otherwise it will confuse compiler
- New version 0.9.9.043

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 3:0.9.9.042-4mdv2008.1
+ Revision: 168909
- fix typo in configure option
- remove old release
- cvs snapshot 20080215, add some buildrequires, update configure build options

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 3:0.9.9.042-3mdv2008.1
+ Revision: 161536
- bump epoch; major went backward

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 1:0.9.9.042-2mdv2008.1
+ Revision: 161519
- bump release
- no major in devel package

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 1:0.9.9.042-1mdv2008.1
+ Revision: 161316
- new version
- tidy spec
- fix URL
- drop ecore-config

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Austin Acton <austin@mandriva.org> 1:0.9.9.041-4mdv2008.1
+ Revision: 108057
- tidy and adjust configure options

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.041-3mdv2008.1
+ Revision: 104087
- update buildrequires
- CVS SNAPSHOT 20071031, release 0.9.9.041

* Thu Aug 30 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.041-2mdv2008.0
+ Revision: 76308
- fix missing file ecore-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.9.9.041

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1:0.9.9.038-8mdv2008.0
+ Revision: 36145
- rebuild with correct optflags

* Tue Jun 05 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-7mdv2008.0
+ Revision: 35857
- CVS SNAPSHOT 20070605, release 0.9.9.038

* Mon Jun 04 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-6mdv2008.0
+ Revision: 35227
- increase mkrel

* Mon Jun 04 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-5mdv2008.0
+ Revision: 35058
- CVS snapshot 20070604
- restore use of epoch
- remove epoch

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-4mdv2008.0
+ Revision: 32622
- CVS SNAPSHOT 20070529, release 0.9.9.038

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-3mdv2008.0
+ Revision: 30752
- increase mkrel

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-2mdv2008.0
+ Revision: 30751
- adjust buildrequires to a specific release of evas and eet
- increase mkrel
- CVS snapshot 20070524, release 0.9.9.038
- remove unwanted changelog

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.9.038-1mdv2008.0
+ Revision: 29107
- cvs snapshot 20070516, release 0.9.9.038

* Mon Apr 23 2007 Pascal Terjan <pterjan@mandriva.org> 1:0.9.9.037-1mdv2008.0
+ Revision: 17657
- Put back ecore package, /usr/bin/ecore_config still exists
- Don't require ecore, it no longer exists
- New snapshot
- Remove main binary as /usr/bin/* and /usr/share/ecore are no longer there


* Sun Dec 03 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.9.025-0.20060323.2mdv2007.0
+ Revision: 90216
- Require main package in -devel

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org> 1:0.9.9.025-0.20060323.2mdv2007.0
+ Revision: 53298
- rebuild && %%mkrel
- Import ecore

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 0.9.9.025-0.20060323.1mdk
- new cvs checkout

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.9.9.023-0.20060216.1mdk
- new cvs checkout

* Wed Jan 18 2006 Austin Acton <austin@mandriva.org> 0.9.9.023-0.20060117.1mdk
- new cvs checkout

* Thu Jan 12 2006 Austin Acton <austin@mandriva.org> 1:0.9.9.022-0.20060111.1mdk
- new cvs checkout

* Thu Nov 24 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.018-0.20051124.1mdk
- new cvs checkout
- disable directfb support

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.9.018-0.20051109.2mdk
- rebuild against openssl-0.9.8

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.018-0.20051109.1mdk
- new cvs checkout

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.018-0.20051104.1mdk
- new cvs checkout

* Tue Sep 06 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.013-0.20050904.1mdk
- new cvs checkout

* Mon Aug 15 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.013-0.20050813.1mdk
- new cvs checkout

* Tue Jun 28 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.010-0.20050627.1mdk
- new cvs checkout

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.008-0.20050608.1mdk
- new cvs checkout

* Thu May 26 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050524.2mdk
- multiarch binaries

* Thu May 26 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050524.1mdk
- new cvs checkout

* Mon May 16 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.2mdk
- clean up spec

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.1mdk
- epoch 1 for current cvs version
- use my own spec file (sorry)

* Sat Sep 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-0.20040913.1mdk
- 1.0.0 20040913
- adjust buildrequires

